#ifndef CMWPARAMCUTSIDE_H
#define CMWPARAMCUTSIDE_H

#include "cmwidget.h"
#include "base.h"
#include <QTableWidgetItem>
namespace Ui {
class CMWParamCutSide;
}

class CMWParamCutSide : public CMWidget
{
	Q_OBJECT

public:
    explicit CMWParamCutSide(QWidget *parent ,int32_t iSideID,bool bhidebtn=false);
	~CMWParamCutSide();

	int32_t m_iSideID;
	int32_t m_iSelectRow;
	void MFresh();
	void MApply();
    void MTimeFresh();
    int m_iCurLevel;
    bool m_bHideBtn;
private slots:
	void on_pushButton_add_clicked();

	void on_pushButton_del_clicked();

	void on_tableWidget_currentItemChanged(QTableWidgetItem *current, QTableWidgetItem *previous);

	void on_pushButton_test_clicked();

	void on_pushButton_copy_clicked();

private:
	Ui::CMWParamCutSide *ui;
};

#endif // CMWPARAMCUTSIDE_H
